> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Agent Execution

> Stops an active agent execution.

`Unary` · [`Agents`](https://ona.com/docs/api-reference/generated/agent/overview)

Stops an active agent execution.

Use this method to:

* Stop an agent that is currently running
* Prevent further processing or resource usage

### Examples

* Stop an agent execution by ID:

  ```yaml theme={null}
  agentExecutionId: "6fa1a3c7-fbb7-49d1-ba56-1890dc7c4c35"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AgentService/StopAgentExecution
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.AgentService/StopAgentExecution" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "agentExecutionId": "<agent-execution-id>"
}'
```

```python Python theme={null}
import gitpod.v1.agent_pb2 as agent_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = agent_pb2.StopAgentExecutionRequest(
    agent_execution_id="<agent-execution-id>",
)
response = ona.services.agent.stop_agent_execution(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { StopAgentExecutionRequestSchema } from "@gitpod/sdk/gitpod/v1/agent_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(StopAgentExecutionRequestSchema, {
    agentExecutionId: "<agent-execution-id>",
  });
  const response = await ona.services.agent.stopAgentExecution(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.StopAgentExecutionRequest{
		AgentExecutionId: "<agent-execution-id>",
	})
	response, err := ona.Services.Agent.StopAgentExecution(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "agentExecutionId": "<agent-execution-id>"
}
```

## Request

`gitpod.v1.StopAgentExecutionRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `agentExecutionId` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.StopAgentExecutionResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.